# Keep a stale integrated account

> Source: https://truto.one/docs/api-reference/admin/integrated-accounts/keep/

`POST /integrated-account/{id}/keep`

Resource: **Integrated accounts**

## Path parameters

- **`id`** _(string, required)_
  The stale integrated account to keep.

## Response body

- **`id`** _(string)_
  The integrated account.
- **`delete_after`** _(string)_
  When the account is now deleted, 30 days from this call. `null` while automatic deletion of stale accounts is off, since nothing deletes the account then. The account itself shows the date again only once its next 15-day reminder has gone out.

## Code examples

### curl

```bash
curl -X POST 'https://api.truto.one/integrated-account/{id}/keep' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.truto.one/integrated-account/{id}/keep', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/integrated-account/{id}/keep"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.post(url, headers=headers, params=params)
print(response.json())
```
